sample7.cpp File Reference

Example: set operations between bvector<> and arrays of integers. More...

`#include <iostream>`
`#include <algorithm>`
`#include <vector>`
`#include <list>`
`#include "bm.h"`
`#include "bmalgo.h"`
`#include "bmundef.h"`
Include dependency graph for sample7.cpp:

Go to the source code of this file.

## Functions

void | Print (unsigned n)
template<class T>
void | PrintContainer (T first, T last)
int | main (void)

## Detailed Description

Example: set operations between bvector<> and arrays of integers.

Definition in file sample7.cpp.

## Function Documentation

## main()

int main | ( | void |  | ) |

Definition at line 72 of file sample7.cpp.

References bm::bvector< Alloc >::clear(), bm::combine_and(), bm::combine_and_sorted(), bm::combine_or(), bm::combine_sub(), bm::bvector< Alloc >::end(), bm::bvector< Alloc >::first(), and PrintContainer().

## Print()

void Print | ( | unsigned | n | ) |

inline

Definition at line 56 of file sample7.cpp.

## PrintContainer()

template<class T>

void PrintContainer | ( | T | first,
|  | T | last )

Examples
  sample10.cpp, sample12.cpp, sample16.cpp, sample20.cpp, sample21.cpp, sample22.cpp, sample7.cpp, and sample8.cpp.

Definition at line 62 of file sample7.cpp.

Referenced by main().